inn2 (2.3.999+20030114-1) unstable; urgency=low

  * BEWARE: this is a -CURRENT snapshot. If it breaks you keep both pieces!
    (Closes: #172212, #174938).
  * Make innreport generate valid HTML. (Closes: #166372)
  * Pre-Depends on inn2-inews. (Closes: #166804)
  * Update gnu.* data in control.ctl. (Closes: #167581)
  * Do not ship rnews suid root! (Closes: #171757)
  * Install /usr/share/doc/inn2/INSTALL.gz (Closes: #174493)

 -- Marco d'Itri <md@linux.it>  Thu, 16 Jan 2003 01:12:53 +0100

inn2 (2.3.3+20020922-5) unstable; urgency=medium

  * Fixed pathtmp (Closes: #162686).
  * Check if the usenet user exists before adding a mail alias
    (Closes: #162731).
  * Fixed a path in sendinpaths (Closes: #163022).

 -- Marco d'Itri <md@linux.it>  Mon,  7 Oct 2002 20:24:16 +0200

inn2 (2.3.3+20020922-4) unstable; urgency=low

  * Applied OVDB fixes, courtesy of Ian Hastie @clara.net (Closes: #162643).

 -- Marco d'Itri <md@linux.it>  Sat, 28 Sep 2002 16:46:57 +0200

inn2 (2.3.3+20020922-3) unstable; urgency=low

  * Fixed absolute path in Makefile (Closes: #162538).

 -- Marco d'Itri <md@linux.it>  Fri, 27 Sep 2002 19:12:10 +0200

inn2 (2.3.3+20020922-1) unstable; urgency=low

  * New STABLE CVS snapshot (Closes: #128725, #137175, #157808, #159105).
  * Made some changes to make INN compile with perl 5.8.0. May be broken.
  * Fix inndf to convert the "infinite" inodes of reiserfs to 2^31 - 1
    (Closes: #124101).
  * Suggests: gnupg instead of pgp.
  * Brand new init script which uses ctlinnd.
  * Removed debian changes to use mkstemp. INN uses a private temp
    directory anyway.
  * Conflicts+Replaces: ninpaths, added the scripts from the inpaths package.
  * Do not depend anymore on libdb3-util, which is only needed by OVDB.
  * Removed signcontrol.
  * Changed control.* and junk groups to status n.
  * Added gpgverify script (Closes: #131412).
  * Added bunbatch script (Closes: #136860).
  * Added /usr/share/doc/inn2/INSTALL.gz (Closes: #156685).
  * Added buildinnkeyring script which downloads PGP keys from ftp.isc.org
    (Closes: #86989).

 -- Marco d'Itri <md@linux.it>  Sun, 22 Sep 2002 21:05:18 +0200

inn2 (2.3.3-1) unstable; urgency=low

  * new upstream version
  * use 'unset' not 'declare -x' GZIP to clear environment in innshellvars, 
    closes: #136156, #136495, #136557, #142464
  * add a warning to inn.conf comments about avoiding tabs after values, 
    closes: #112657, #112665
  * modify cron.d to test for presence of programs before running them, 
    closes: #136563
  * modify init.d to redirect rc.news output to /var/log/news/rc.news so that
    inn2 daemonizes properly when run manually with the positive side effect
    that the startup messages now comply with Debian policy,
    closes: #140794, #116716, #134459
  * deliver more upstream doc files, closes: #141963
  * procps is priority required, but not marked essential, so we need to 
    depend on it so innwatch can use 'uptime', closes: #146135
  * add a clause to postinst to make sure /var/spool/news has appropriate
    owner/group/perms

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 May 2002 00:49:08 -0600

inn2 (2.3.2-3) unstable; urgency=low

  * apply patch from rene@seindal.dk to pullnews.in to keep a missing group 
    from killing a run, closes: #133571
  * apply patch from falcon@wysocki.lodz.pdi.net to dbprocs.in so that ovdb 
    will work correctly with libdb3, and add a runtime dependency on 
    libdb3-util to the inn2 package, closes: #128855
  * add manpage symlinks, closes: #99543, #99578
  * ensure backoff directory exists during postinst, closes: #127050
  * clean up some of the lintian warnings

 -- Bdale Garbee <bdale@gag.com>  Sat, 16 Feb 2002 15:06:20 -0700

inn2 (2.3.2-2) unstable; urgency=low

  * edit provided buffindexed.conf to reflect our path structure
  * apply patch to mailpost.in provided by Paul Seelig to prevent message
    posting failures by stripping Received lines, closes: #120267
  * add remaining /etc files to conffiles, closes: #110647
  * make sure /var/log/news/OLD is news.news in postinst, closes: #116715
  * slightly tighten permissions on /var/run/news, closes: #117773
  * fix missing quotes around command in init.d,closes: #120105
  * explicitly unexport GZIP in innshellvars before defining it to avoid
    clashes with GZIP set in external environment, closes: #120381
  * eliminate the task-news-server binary package

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 Dec 2001 16:02:44 -0700

inn2 (2.3.2-1) unstable; urgency=low

  * new upstream version, closes: #98247, #101601
  * remove authprogs/pwcheck.c and modify authprogs/Makefile in orig.tar.gz
    since we don't use it and license is non-DFSG-compliant!  Closes: #103477
  * make inn2-inews conflict with cnews, closes: #97662
  * modify news.daily to use tempfile(1) for safe tempfile creation,
    closes: #104517
  * improve several instances of unsafe temp file handling using relevant
    patches from the Debian security team, closes: #83734
  * patch to fix expireover seg faults from Andrew Stribblehill, closes: #95096
  * make 'server' in inn.conf be 'localhost' by default, closes: #90908
  * add a note in the sample newsfeeds file indicating that nntplink is not
    part of INN, closes: #88120
  * depend on awk, closes: #87618  Note, I will *not* change the compress
    definition in innshellvars, see README.Debian for details.
  * only execute rnews in cron if it exists, so that removing but not purging
    inn2 doesn't generate excessive email, closes: #89853
  * postinst forces owner of default log files to be correct, closes: #98490
  * enable support for ovdb, closes: #96612
  * remove references to non-existent newslog(8) man page, clean up wildmat(5)
    references, closes: #90993
  * apply patches from Tollef Fog Heen for gnupg use in signcontrol and use
    safer temp file handling, closes: #99021, #99242
  * the inn2 package really can't do anything about the way conffiles are
    handled by dpkg when moving from inn to inn2.  inn and inn2 are distinct
    packages to Debian, despite their similar heritage, closes: #97443

 -- Bdale Garbee <bdale@gag.com>  Fri, 10 Aug 2001 13:48:38 -0600

inn2 (2.3.1-4) unstable; urgency=low

  * make /etc/news/filter/* conffiles, closes: #85315
  * update build-depends, changing perl5 to libperl-dev

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Feb 2001 15:30:56 -0700

inn2 (2.3.1-3) unstable; urgency=low

  * conflict with current and prior versions of suck, since they use innxmit
    in a way that no longer works, resulting in data loss as per bug 83727.
    Reassign that bug to suck for implementation of a real solution.
  * update the init.d script to use rc.news as upstream intends for start and 
    stop operations, since it handles the current set of INN daemons better 
    than our previous attempt to use start-stop-daemon does, closes: #84438
  * tag /etc/news/send-uucp.cf as a conffile, closes: #83282

 -- Bdale Garbee <bdale@gag.com>  Mon,  5 Feb 2001 16:04:12 -0700

inn2 (2.3.1-2) unstable; urgency=low

  * update send-uucp.pl's idea of where innshellvars.pl is, closes: #83194
  * go back to symlinks instead of moving inews and rnews, closes: #83224
  * have preinst clean up /usr/lib/news/bin/filter dregs, closes: #83515
  * have inn2-inews conflict/replace inn2 prior to 2.3.1 to account for moving
    some files, closes: #83622

 -- Bdale Garbee <bdale@gag.com>  Tue, 30 Jan 2001 17:32:17 -0700

inn2 (2.3.1-1) unstable; urgency=low

  * new upstream release.  thank you Marco d'Itri <md@Linux.IT> for help with 
    this update
  * revert send-uucp to the upstream version, deliver Perl version as
    send-uucp.pl, closes: #81074
  * add manual page for send-uucp.pl written by Mark Brown, closes: #81073
  * in 2.3.0-1, we accidentally shipped active, active.times, and newsgroups
    as real files in /var/lib/news.  Hack the preinst and postinst to protect
    the files in place, and fix the mess.  While we're at it, fix a few other
    details in the postinst.  Closes: #81274
  * update preinst warning and README.Debian to add an explicit pointer to the
    NEWS file, which documents the 2.2 to 2.3 changes.  Fix a few out of date
    items in README.Debian.  Closes: #81069
  * fix path of required file in send-uucp.pl, closes: #81075
  * move rnews and dependencies to the inn2-inews package, closes: #81268
  * freshen PGPKEYS file from ftp.isc.org, fixes fr.* key and adds a new one,
    closes: #81272
  * pgpverify: use /etc/news/pgp as pgp/gnupg config dir and the syslog
    socket instead of logger. (Md)
  * innd/cc.c: added perl filter status patch (used by cleanfeed). (Md)
  * debian/cron.d: added entry to reload incoming.conf and sample entries
    for send-nntp and send-uucp.pl. (Md)  closes: #81269
  * debian/init.d: first try to gracefully shut down innd with ctlinnd. (Md)
  * Changed /usr/lib/news/bin/filter to /etc/news/filter. (Md) closes: #81273
  * Moved back the whole /etc/news/scripts to the standard location in
    /usr/lib/news, none of these files is a conffile. (Md)  This improves the
    postinst questioning considerably, closes: #81072
  * Fixed permissions of many binaries and config files. (Md) closes: #82002
  * inews is not installed suid (suggested by upstream maintainer). (Md)
  * Renamed send-uucp.pl.1 to send-uucp.pl.8. (Md)
  * lose the "Recommends: trn | news-reader" on the inn2 package, it's not
    particularly useful, and gets in the way for dedicated servers
  * drop the "Suggests: inn2-dev" from inn2, the few who need it will find it,
    and it confuses new users
  * minor patch for actsyncd, closes: #80973
  * inews now supports a -p option to set the port, closes: #22242, #68875
  * touch the /var/lib/news/.news.daily file in the postinst to squelch the 
    email about it being missing before nightly cron runs begin. closes: #76195
  * suidregister is obsolete.  newer dpkg's include 'dpkg-statoverride', which
    is a superior solution requiring nothing from the package.  closes: #81310
  * configure storage.conf for tradspool configuration by default
  * modify configure/configure.in slightly so build hostname isn't embedded
    in inn.conf, et al
  * don't force alt.test to exist, not all servers want it
  * add code to the preinst to clean up the scripts tagged as conffiles that
    will still be around from 2.3.0-1.  Sigh.

 -- Bdale Garbee <bdale@gag.com>  Mon, 22 Jan 2001 17:23:45 -0700

inn2 (2.3.0-1) unstable; urgency=low

  * new upstream version, closes: #69623
  *   sendbatch appears to be fixed now, closes: #69561
  *   innreport now appears to use png if gif isn't available, closes: #76169 
  * thanks to John Goerzen for help cleaning up this release
  * hack around need to have pgp installed at build time, closes: #69745
  * add sanity checks for syslog files in the postinst, closes: #74707
  * move all the scripts in /usr/lib/news that must be conffiles into /etc,
    backfilling symlinks.  Closes: #57150
  * built against perl-5.6, closes: #80703
  * can't duplicate removal problem, closes: #77419
  * update pgpverify's default notion of where to find pgp, closes: #78989
  * ship the Perl send-uucp from Miquel van Smoorenburg, closes: #77836
  * give inews more reasonable owner/group/perms, closes: #70856
  * add another warning to the preinst since some file format changes defy
    reasonable automation across the upgrade from pre-2.3.0 to 2.3.0, and some
    manual actions will likely be required.
  * as of 2.3.0, innshellvars now codes 'compress' as the path for the compress
    program instead of an ugly token reporting that compress wasn't found if
    there is no compress available at build time.  This will work if the 
    non-free 'ncompress' package is installed.  Since some news sites still 
    don't use gzip for uucp batches, this is probably the right default.  Note
    added to the README.Debian file.
    Closes: #77030

 -- Bdale Garbee <bdale@gag.com>  Thu, 28 Dec 2000 16:17:47 -0700

inn2 (2.2.3-3) unstable; urgency=low

  * leave the real inews executable in /usr/lib/news/bin, and symlink to it
    from /usr/bin instead of moving it, to reduce breakage.  Closes: #68999
  * do the same thing with rnews, for good measure

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Aug 2000 02:58:39 -0600

inn2 (2.2.3-2) unstable; urgency=medium

  * patch from upstream that fixes remote denial of service, closes: #66638
  * provide /usr/sbin/ctlinnd as a symlink so ctlinnd is in root's path, 
    closes: #67730
  * update the README.Debian file to explain the situation with 'compress'
    and indicate willingness to receive patch suggestions for making inn2
    work better with uucp article transport, closes: #64284, #67629

 -- Bdale Garbee <bdale@gag.com>  Sun, 13 Aug 2000 22:39:21 -0600

inn2 (2.2.3-1) unstable; urgency=low

  * new upstream release, closes: #67635, #65492, #59345, #64405
  * ensure control.cancel exists since we like usecontrolchan=true, 
    closes: #57555
  * add some verbage to the README.Debian about anacron, closes: #59664
  * some of the code proposed by Raphael Bossek for the init.d is only
    relevant for a 1.X to 2.X upgrade, and the rest could take quite a
    while during boot.  I therefore don't think this belongs in init.d.
    I'm adding the interesting checks to the postinst, closes: #62045
  * provide PGPKEYS and some text about it in the README.Debian file,
    closes: #66756

 -- Bdale Garbee <bdale@gag.com>  Tue, 25 Jul 2000 01:23:14 -0600

inn2 (2.2.2.2000.01.31-4) frozen unstable; urgency=low

  * add code to the postinst that calls 'hostname --fqdn' to make sure we can
    determine the FQDN before we try to start the daemon.  Not doing this 
    caused installs to fail on poorly-configured systems.  Closes: #64681
  * target frozen since this was tagged important, and could indeed cause an
    install or upgrade to fail in some (relatively rare?) cases.

 -- Bdale Garbee <bdale@gag.com>  Fri, 26 May 2000 21:32:01 -0600

inn2 (2.2.2.2000.01.31-3) frozen unstable; urgency=low

  * target frozen since these are release critical
  * fix a variety of permission problems including /var/lib/news, 
    closes: #61077
  * permit world execute of /usr/bin/rnews, closes: #61409

 -- Bdale Garbee <bdale@gag.com>  Thu,  6 Apr 2000 23:17:56 -0600

inn2 (2.2.2.2000.01.31-2) frozen unstable; urgency=low

  * target frozen since one of these is release critical
  * fix owner, group, and permissions of /var/run/news on fresh installs,
    closes: #61030
  * minor tweak to default inn.conf so build host isn't the value of pathhost
    on new installs, closes: #60779
  * fix owner, group, and permissions of /usr/bin/rnews so that it actually
    works, closes: #58964

 -- Bdale Garbee <bdale@gag.com>  Fri, 24 Mar 2000 01:01:57 -0700

inn2 (2.2.2.2000.01.31-1) frozen unstable; urgency=low

  * target frozen since some of the bug fixes here qualify as release critical
  * roll to current stable CVS snapshot to acquire bug fixes (some significant)
    since 2.2.2 release, closes: #55581
  * tag many scripts in /usr/lib/news/ as conffiles, so changes aren't lost on
    upgrades.  This makes particularly good sense given the apparent upstream 
    attitude that whacking scripts to configure a system is reasonable.  Add
    lintian overrides since it calls conffiles under /usr errors.
    Closes: #55723, #56385
  * have inn2 "provide inn" so that other packages that depend on inn don't
    get frustrated with us, closes: #56040
  * add -L to innflags and turn controlchan on in default inn.conf (to match
    what we're shipping in default newsfeeds file), closes: #56383, #56384
  * don't remove /usr/lib/news explicitly in postrm, since other packages need
    it, closes: #55467

 -- Bdale Garbee <bdale@gag.com>  Mon, 31 Jan 2000 23:48:44 -0700

inn2 (2.2.2-4) frozen unstable; urgency=low

  * change package names from inn to inn2 as part of Debian INN peace project,
    which will reinstate 1.7.2 as 'inn'.  Target frozen so we ship both 1.7.2
    and 2.2.2 with potato!
  * add suitable conflicts with inn 1.X packages, leaving check for old 
    versions in preinst along since it does no harm
  * add task-news-server to help new installs target inn2 by default

 -- Bdale Garbee <bdale@gag.com>  Wed, 19 Jan 2000 11:07:16 -0700

inn (2.2.2-3) frozen unstable; urgency=low

  * target frozen since this fixes multiple release-critical bugs
  * inewsinn needs to provide inews, closes: #55349
  * fix rnews path in all innshellvars flavors, closes: #55307
  * since rnews uses nnrpdpostport, inews should also, closes: #54975
  * allow inews to work when talking to servers that require authentication
    for the "mode reader" command, closes: #31145
  * add some more information to README.Debian, and include an explicit 
    pointer to it from the upgrade check in the preinst
  * remove needless leftover example maintainer scripts in debian/Examples

 -- Bdale Garbee <bdale@gag.com>  Sun, 16 Jan 2000 14:43:12 -0700

inn (2.2.2-2) unstable; urgency=low

  * move more config files and related man pages from package inn to inewsinn
    so that inews works correctly, closes: #55159
  * flag /etc/cron.d/inn as a conffile
  * reviewing / closing bugs in inn reported against prior versions that are
    fixed or no longer relevant in 2.2.2 ...
  * innwatch startup is cleaner than it used to be, closes: #21586, #32416
  * logging id different than it used to be, closes: #24504
  * expire.ctl doesn't have sequence problem any more, closes: #37737
  * Old hosts.nntp and hosts.nntp.nolimit are merged, closes: #48739
  * nntpsend.ctl no longer specifies the path, closes: #49673
  * startup works fine now, closes: #51944
  * control.ctl template is new, and correct, closes: #54526
  * crosspost and overview directories are correct, closes: #55062
  * history corruption problem should be long since fixed, closes: #11614
  * client timeout is set to 10 minutes in /etc/news/inn.conf file by default,
    which seems pretty reasonable, and is easy to change.  Closes: #12358
  * the ancient problem with ctlinnd rmgroup appears fixed, closes: #12559
  * the current GetFQDN code appears to be coded to work in more cases than 
    it once was, closes: #29695
  * we use a cron.d script now, so send-uucp, et al, can be scheduled on any
    desired interval.  Closes: #43016

 -- Bdale Garbee <bdale@gag.com>  Sat, 15 Jan 2000 01:18:17 -0700

inn (2.2.2-1) unstable; urgency=low

  * New upstream release.  Enough has changed since the 1.7.2 release that
    this is repackaged entirely from scratch.  
    Closes: #25936, #26255, #43546, #52672, #43896, #54609, #54759
  * patch lib/parsedate.y to include "y2k fix" relating to acceptance of
    articles with year of 1900.  Closes: #53813
  * postinst no longer prompts on upgrades, closes: #26659, #44918, #37888
  * much newer innfeed, now integrated with inn sources, closes: #14326
  * install docs revised, formatted version provided, closes: #43898
  * large warning in preinst about upgrades from prior revisions of Debian
    INN package requiring manual intervention.  The degree of assistance
    will improve in future uploads, but may never be fully automatic.

 -- Bdale Garbee <bdale@gag.com>  Wed, 22 Dec 1999 02:22:33 -0700

inn (1.7.2-12) unstable; urgency=low

  * update to reflect current policy
  * inndstart *is* provided setuid root, closes: #51944
  * fix path in nntpsend.ctl.5, closes: #49673
  * if we're upgrading, don't stop to ask user, just use existing config
    information, closes: #44918
  * deliver Install.txt instead of Install.ms into the doc directory, 
    closes: #43898

 -- Bdale Garbee <bdale@gag.com>  Sun,  5 Dec 1999 20:46:07 -0700

inn (1.7.2-11) unstable; urgency=high

  * patch to inews.c to fix buffer overrun problem from Martin Schulze

 -- Bdale Garbee <bdale@gag.com>  Mon,  6 Sep 1999 13:35:19 -0600

inn (1.7.2-10) unstable; urgency=low

  * rebuild to depend on perl 5.005, closes 41469, 41925, 41943.
  * update postinst text to eliminate version bogosity, closes 41585.
  * fix sample sendbatch, closes 41596
  * fix source-archive clause in sample newsfeeds file, closes 37862.
  * document nntpport, closes 28588.
  * fix type of inet_addr to reflect current libc.

 -- Bdale Garbee <bdale@gag.com>  Mon,  2 Aug 1999 01:22:23 -0600

inn (1.7.2-9) unstable; urgency=low

  * fold in Roman Hodek's changes from his 6.1 NMU, closing 38621.  This
    fixes an ugly i386 dependency in the way inn calls Perl.
  * update perl dependency managment to try and cope with new perl policy

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Jul 1999 17:13:05 -0600

inn (1.7.2-6) unstable; urgency=low

  * new maintainer
  * clean up a few lintian complaints
  * folding in changes from Christian Kurz that he called -5.  We'll call this
    -6 even though his changes were not widely distributed, just to avoid any
    confusion:

      Removed X-Server-Date-Patch as it's not needed.
      default moderation address add to /etc/news/moderators (closes: #24549)
      Inn now depends on perl (closes: #27754, #32313)
      Added gunbatch for gzipped batches (closes: #29899)
      Changed debian/rules so inncheck runs without errors.
      Added Perl-Support to Inn (closes: #26254)
      Changed the examples

 -- Bdale Garbee <bdale@gag.com>  Wed, 26 May 1999 15:18:53 -0600

inn (1.7.2-4) frozen unstable; urgency=medium

  * Fixes:
    #21583: inn: inn must replace inewsinn
    #20763: inn sends me `not running' and `now running' each night
    #21342: inn: install probs
    #21582: inn: incorrect prerm fail-upgrade action
    #21584: inn: postinst doesn't know abort-upgrade
    #20048: inn: poison and REMEMBER_TRASH patch
    #21644: inn: a way to not receive certain groups
  * Wrt bug #20763: the ctlinnd timeout in innwatch has been increased
    to 300 seconds (5 minutes). Hopefully that is enough.. There is no
    good alternative, the fact that INN is slow while renumbering is
    a basic design flaw. (Though the abp-scheduler patch might help)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 22 May 1998 19:52:55 +0200

inn (1.7.2-3) frozen unstable; urgency=medium

  * Move moderators from inewsinn to inn. The server should keep the
    moderators data, not inews.
  * Fix lib/clientactive.c (still yucky, but should work..)
  * Include latest pgpverify script, 1.9, and manpage
  * Fix security hole (/tmp/pgp$$) in pgpverify script
  * Fixes:
    #18579: I can't uninstall INN package
    #19776: inn.prerm buggy typos bah!
    #18724: inn: /etc/init.d/inn contains sed that never terminates
    #19206: inn: Crontab modifications not preserved
    #20423: inn: error in removing
    #20653: inn: Bug in send-uucp.pl, patch included
    #20792: INN: Wrong sfnet maintainer
    #20436: inn: on line 16 of the prerm script there is "fi" instead of "esac"

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 15 Apr 1998 17:34:23 +0200

inn (1.7.2-2) unstable; urgency=low

  * Change over to new crontab -l method
  * Fix (pre|post)(inst|rm) scripts in several ways
  * Fix inewsinn inn.conf installation
  * Set NNRP_DBZINCORE_DELAY to -1
  * Fix lintian warnings
    Fixes:
    #18120: inn: Inn's crontab file should be a conffile

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 19 Feb 1998 22:46:25 +0100

inn (1.7.2-1) unstable; urgency=low

  * New upstream version
  * Fix crontab -l | tail +4
  * Fixes bugs:
    #15889: /etc/news/inn.conf missing
    #16128: manpage uncompressed
    #15103: egrep incorrectly searched in /bin by innshellvars*
    #14404: /usr/doc/$(PACKAGE)/copyright should not be compressed

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Feb 1998 12:52:14 +0100

inn (1.7-1) unstable; urgency=low

  * New upstream version
  * Fixed bugs:
    #9264: Unresolved dependency report for inn
    #9315: inn: /etc/news/innshellvars* add /usr/ucb to the PATH
    #9832: INN 1.5.1-1 throttled rmgroup really shreds active file ?
    #10196: inn: inews complains about missnig subject header when there is one
    #10505: Moderated postings fail 
    #11042: error in /usr/doc/inn/inn-README
    #11057: inn: Confusing/dangerous instructions
    #11453: inn: max signature length
    #11691: libc6
    #11851: inn: Documentation for send-uucp.pl
    #11852: inn: nntpsend looks for wrong config file
    #11900: INN creates `local.*' by default
    #11948: inn: nntpsend does not works
    #12513: inewsinn should insert a linebreak
    #13161: inn-makehistory - Bus error
    #13425: inn: egrep moved to /bin
    #13488: inewsinn: directs user to docs in a package it doesn't require
    #13616: /etc/init.d/inn, /etc/news/hosts.nntp.nolimit are not conffiles
    #13781: Can't feed by send-uucp.pl with ihave/sendme.
    #13831: inn: scanlogs depends on hard coded path for egrep
    #13899: inn: inn uses /usr/bin/egrep, grep doesn't provide that any longer
  * Added BUFFSET fix

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 22 Oct 1997 14:08:37 +0200

inn (1.5.1-5) unstable; urgency=high

  * Fixed sendbatch script (comment in between backtics is illegal)
  * libc6 version

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 10 Sep 1997 16:31:37 +0200

inn (1.5.1-4) stable unstable; urgency=high

  * Add new security patch (with fixed STRCPY): inn-1.5.1-bufferoverflow.patch4
  * Applied null-pointer.patch from Michael Shields
  * Upped SIG_MAXLINES in configdata.h to 8
  * Fix inn-README (perl example). Fixes bug #11042
  * Update inn-README and postinst to fix bug #11057
  * Make ctlinnd addhist work in paused mode, and fail in throttled mode
  * Change ID string

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 21 Aug 1997 12:37:48 +0200

inn (1.5.1-3) stable unstable; urgency=high

  * Add changelogs to docdir
  * innshellvars*: change /usr/ucb -> /usr/sbin (Bug#9315)
  * Changed Recommends: pgp to Suggests: (Bug#9264)
  * Fix inews to fallback on local moderators file (Bug#10505)
  * Fix buffer overruns all over the place

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 24 Jul 1997 18:29:33 +0200

inn (1.5.1-2) frozen unstable; urgency=high

  * Added security-patch.05 (mailx tilde exploit)
  * inewsinn no longer conflicts: inn so installation should no
    longer remove your original inn-1.4 package (and configuration).
    Expect some dpkg trouble when upgrading from 1.4unoff4 to 1.5.1-2 though.
  * Always create .incoming/.outgoing symlinks for backwards compat.
  * Do not change ownerships/modes of existing directories
  * Fix ownerships/modes of rnews, innd, inndstart, in.nnrpd
  * Fix /etc/init.d/inn to comply with console messages standard
  * Fix /usr/lib/news/bin/sendbatch
  * Fix scanlogs not to nuke active file if log/news/OLD isn't there
  * Console messages are a bit more standard now
  * Use start-stop-daemon to kill innwatch in /etc/init.d/inn
  * Fixed up inncheck - it almost doesn't complain anymore

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 28 Apr 1997 13:58:16 +0200

inn (1.5.1-1) unstable; urgency=low

  * Upgraded to 1.5.1
  * Fixed Bug#6387: expire-with-symlinks problem
  * Fixed Bug#6246: inewsinn reconfigures on update
  * Moved /var/spool/news,/var/lib/news back into package
  * Saves removed conffiles in preinst, restores in postinst
  * Set LIKE_PULLERS to DO
  * Remove manpage stubs that are now real manpages
  * Fix options to sendmail in _PATH_SENDMAIL
  * Removed subdirectories from debian/
  * create /var/log/news/OLD in postinst
  * Fixed most if not all other outstanding bugs

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 5 Feb 1997 10:58:16 +0100

inn (1.5-1) unstable; urgency=low

  * Upgraded to 1.5
  * Undid most patches to 1.4unoff4 because they are in 1.5 proper.
  * Added security patch
  * Added X-Server-Date: patch
  * inn now depends on inewsinn
  * Fixed all other outstanding bugs (well, almost).

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 17 Dec 1996 16:56:37 +0100

inn (1.4unoff4-2) unstable; urgency=low

  * Added inn-dev package for libinn.a and manpages.
  * Increased hash table size in expire.c to 2048 (was 128)
  * Moved ctlinnd to /usr/sbin
  * Moved to new source packaging scheme

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 06 Oct 1996 15:38:30 +0200

INN (1.4unoff4-1) - Miquel van Smoorenburg <miquels@cistron.nl>

 * Took out the Linux 1.2 patches I put in unoff3.
 * added the 64 bits patch (for Linux/Alpha)
 * There are some other minor patches for Linux/Alpha
 * Added "xmode" as alias for "mode"
 * Using MMAP and setsockopt() now - NEEDS 1.3 kernel !

INN (1.4unoff3-1) - Miquel van Smoorenburg <miquels@cistron.nl>

 * Took inn1.4sec-8 and 1.4unoff3, folded in some Linux and
   other patches.
 * Changed all makefiles to support a "prefix" variable for install
 * Removed the hacks in debian.rules for installation
 * Locks are in /var/run/innd
 * Rewrote post install script.

inn (1.4sec-8); priority=MEDIUM

 * postinst configuration completely redone.  It now sets up a minimal
   local installation for you.
 * prerm now exists and shuts the server down.
 * init scripts changed to System V scheme.
 * Descriptions in control files expanded.
 * Package now contains /var/lock/news, and uses /var/log (not /var/adm).
 * inewsinn postinst looks at and can write /etc/mailname.

INN 1.4sec Debian 7 - iwj

* libinn.a, <inn/*.h>, inn-sys2nf and inn-feedone installed
  (in /usr/lib, /usr/include and /usr/bin).

INN 1.4sec Debian 6 - iwj

* innwatch now started by /etc/rc.misc/news.
* inewsinn postinst minor typos fixed.
* Leftover file `t' removed from source and diff distributions.

INN 1.4sec Debian 5 - iwj

* Added documentation about making active and history files.
* Added monthly makehistory -ru crontab run.
* Made postinst always do  crontab -u news /etc/news/crontab  .
* Removed HAVE_UNIX_DOMAIN - AF_UNIX+SOCK_DGRAM still broken in Linux.
* Fixed /usr/lib/news/bin/inncheck to conform to our permissions scheme.
* Added manpage links for makeactive(8), makehistory(8), newsrequeue(8).
* /var/adm/news now part of package.

INN 1.4sec Debian 4 - iwj

* Added $|=1 to inewsinn postinst script; a few cosmetic fixes.

INN 1.4sec Debian 3 - iwj

* Removed `inet' groups from distrib.pats.
* Put more version number information in ../*.{deb,gz} filenames.
* Added Package_Revision field to `control' file.
* Rationalised debian.rules somewhat, and added `build' stamp file.
* Permissions rationalised.
* Changed /etc/rc.d/rc.news to /etc/rc.misc/news.
* postinst calls Perl as /usr/bin/perl.
* Added this Changelog.

INN 1.4sec Debian 2 - iwj
* inews moved to /usr/bin; rnews moved to /usr/sbin.
* fixed nntpsend not to use PPID variable (it's a bash builtin).

INN 1.4sec Debian 1 - iwj
Initial release, completely untested.
